Bug 1046204 - [RFE][nova]: Improve instance action events based on object model
Summary: [RFE][nova]: Improve instance action events based on object model
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_next upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-24 05:01 UTC by RHOS Integration
Modified: 2019-09-09 13:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-15 14:54:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2013-12-24 05:01:32 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/improve-instance-action-events-2.

Description:

This is a continuation of work related to blueprint improve-instance-action-events.

This BP depends on blueprint make-instance-action-use-objects
https://blueprints.launchpad.net/nova/+spec/make-instance-action-use-objects

Work items including

* Add action reporter in api layer, to catch not only action start time, but also finish time. This data could be useful to track the whole time span (action level) and break down of the whole action level time (event level)

* Original action/events design generate two db access, which is totally unnecessary. Could be written to DB at the ending place. ActionReporter and ActionEventReport guarantee it's happening.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.